## org.w3c.jigsaw.ssi.commands
Class ElseCommand

    java.lang.Object
      |
      +--org.w3c.jigsaw.ssi.commands.ElseCommand

public class ElseCommand
extends java.lang.Object
implements ControlCommand

Implementation of the SSI `else` command.

Field Summary
`protected static java.util.Hashtable` | `elsestore`

Constructor Summary
`ElseCommand()`

Method Summary
`boolean` | `acceptCaching()` return true if reply can be cached.
`org.w3c.jigsaw.http.Reply` | `execute(org.w3c.jigsaw.ssi.SSIFrame ssiframe, org.w3c.jigsaw.http.Request request, ArrayDictionary parameters, java.util.Dictionary variables)`
`java.lang.String` | `getName()`
`protected static int` | `getPosition(java.lang.String name)`
`java.lang.String` | `getValue(java.util.Dictionary variables, java.lang.String var, org.w3c.jigsaw.http.Request request)`
`int` | `jumpTo(org.w3c.jigsaw.ssi.SSIFrame ssiframe, org.w3c.jigsaw.http.Request request, CommandRegistry registry, ArrayDictionary parameters, java.util.Dictionary variables)`
`void` | `setPosition(org.w3c.jigsaw.ssi.SSIFrame ssiframe, org.w3c.jigsaw.http.Request request, CommandRegistry registry, ArrayDictionary parameters, java.util.Dictionary variables, int position)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### elsestore

    protected static java.util.Hashtable elsestore

Constructor Detail

### ElseCommand

    public ElseCommand()

Method Detail

### getPosition

    protected static int getPosition(java.lang.String name)
                              throws ControlCommandException

### setPosition

    public void setPosition(org.w3c.jigsaw.ssi.SSIFrame ssiframe,
                            org.w3c.jigsaw.http.Request request,
                            CommandRegistry registry,
                            ArrayDictionary parameters,
                            java.util.Dictionary variables,
                            int position)

  Specified by:
    setPosition in interface ControlCommand

### getValue

    public java.lang.String getValue(java.util.Dictionary variables,
                                     java.lang.String var,
                                     org.w3c.jigsaw.http.Request request)

### execute

    public org.w3c.jigsaw.http.Reply execute(org.w3c.jigsaw.ssi.SSIFrame ssiframe,
                                             org.w3c.jigsaw.http.Request request,
                                             ArrayDictionary parameters,
                                             java.util.Dictionary variables)

### jumpTo

    public int jumpTo(org.w3c.jigsaw.ssi.SSIFrame ssiframe,
                      org.w3c.jigsaw.http.Request request,
                      CommandRegistry registry,
                      ArrayDictionary parameters,
                      java.util.Dictionary variables)
               throws ControlCommandException

  Specified by:
    jumpTo in interface ControlCommand

### getName

    public java.lang.String getName()

### acceptCaching

    public boolean acceptCaching()

  return true if reply can be cached.
  Returns:
    a boolean.